cancel
Showing results for 
Search instead for 
Did you mean: 

ERROR: The string block is not in use

akshat_mittal
Graph Buddy

Hi Team,

I got the below error in in-consistency reports of my Neo4j DB.

Can anyone help me out in telling what is this issue and how to solve it and what is the impact of this error ??

ERROR: The string block is not in use.

Property[617477139,used=true,prev=712030131,next=123298215,PropertyBlock[blocks=1,STRING,key=141,firstDynamic=186938524],PropertyBlock[blocks=2,SHORT_STRING,key=142,value=.oc.AB_LSM-R],PropertyBlock[blocks=1,SHORT_STRING,key=66,value=]]
Inconsistent with: PropertyBlock[blocks=1,STRING,key=141,firstDynamic=186938524] DynamicRecord[186938524,used=false,(111),type=-1,data=byte[size=111],start=true,next=-1]

Regards
Akshat

3 REPLIES 3

dana_canzano
Neo4j
Neo4j

@akshat.mittal

What Neo4j version? nd Edition?

If this is Neo4j 4.x? ??? and Enterprise edition then you can use neo4j-admin copy to prune out the inconsistency. Copy a database store - Operations Manual

akshat_mittal
Graph Buddy

Hi Dana,

Neo4j version is 3.5.23 and its Enterprise edition.

Few Queries here regarding this error -

  1. What is this issue about ?
  2. What is the impact of this error ??
  3. How to solve this error ??

Regards
Akshat

@akshat.mittal

See GitHub - jexp/store-utils: Utilities to compact, copy, fix, analyse Neo4j stores for a 3.5 equivalent and this was the predecessor to neo4j-admin copy and can be used where neo4j-admin copy is not available. An to which this is a offline process to read a graph.db and remove any/all inconsistencies

It should be noted and whereas Neo4j 3.5.0 was released November 2018 ( Neo4j 3.5.0 - Neo4j Graph Data Platform ) it is coming off patch support in 1 month, May 2022 and as such no further patches will be released for 3.5. So it would be in your best interest to upgrade